/**********************************************************************************************************************
 *  COPYRIGHT
 *  -------------------------------------------------------------------------------------------------------------------
 *  \verbatim
 *
 *                 This software is copyright protected and proprietary to Vector Informatik GmbH.
 *                 Vector Informatik GmbH grants to you only those rights as set out in the license conditions.
 *                 All other rights remain with Vector Informatik GmbH.
 *  \endverbatim
 *  -------------------------------------------------------------------------------------------------------------------
 *  LICENSE
 *  -------------------------------------------------------------------------------------------------------------------
 *            Module: Os
 *           Program: MSR_Vector_SLP4
 *          Customer: Aptiv (China) Technology Company Ltd.
 *       Expiry Date: Not restricted
 *  Ordered Derivat.: Aurix 2G/TC397 B-Step
 *    License Scope : The usage is restricted to CBD1900078_D01
 *
 *  -------------------------------------------------------------------------------------------------------------------
 *  FILE DESCRIPTION
 *  -------------------------------------------------------------------------------------------------------------------
 *              File: Os_Spinlock_Lcfg.h
 *   Generation Time: 2023-10-30 15:58:32
 *           Project: CBD1900078_TC397_EVB - Version 1.0
 *          Delivery: CBD1900078_D01
 *      Tool Version: DaVinci Configurator (beta) 5.18.42 SP2
 *
 *
 *********************************************************************************************************************/

/**********************************************************************************************************************
 ! BETA VERSION                                                                                                       !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! This version of DaVinci Configurator Pro and/or the related Basic Software Package is BETA software.               !
 ! BETA Software is basically operable, but not sufficiently tested, verified and/or qualified for use in series      !
 ! production and/or in vehicles operating on public or non-public roads.                                             !
 ! In particular, without limitation, BETA Software may cause unpredictable ECU behavior, may not provide all         !
 ! functions necessary for use in series production and/or may not comply with quality requirements which are         !
 ! necessary according to the state of the art. BETA Software must not be used in series production.                  !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
**********************************************************************************************************************/

#ifndef OS_SPINLOCK_LCFG_H
# define OS_SPINLOCK_LCFG_H

/**********************************************************************************************************************
 *  INCLUDES
 *********************************************************************************************************************/

/* AUTOSAR includes */
# include "Std_Types.h"

/* Os module declarations */
# include "Os_Spinlock_Types.h"

/* Os kernel module dependencies */
# include "Os_Lcfg.h"

/* Os hal dependencies */


/**********************************************************************************************************************
 *  GLOBAL CONSTANT MACROS
 *********************************************************************************************************************/

/**********************************************************************************************************************
 *  GLOBAL FUNCTION MACROS
 *********************************************************************************************************************/

/**********************************************************************************************************************
 *  GLOBAL DATA TYPES AND STRUCTURES
 *********************************************************************************************************************/

/**********************************************************************************************************************
 *  GLOBAL DATA PROTOTYPES
 *********************************************************************************************************************/

/**********************************************************************************************************************
 *  GLOBAL CONSTANT DATA PROTOTYPES
 *********************************************************************************************************************/

# define OS_START_SEC_CONST_UNSPECIFIED
# include "Os_MemMap_OsSections.h" /* PRQA S 5087 */ /* MD_MSR_MemMap */

/*! Spinlock configuration data: Rte_Spinlock_EM_pEM_ST_ECAMtCyclEnvmode_t_ST_ECAMtCyclEnvmode_t */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_EM_pEM_ST_ECAMtCyclEnvmode_t_ST_ECAMtCyclEnvmode_t;

/*! Spinlock configuration data: Rte_Spinlock_EM_pEM_ST_EMFusionGenObjList_t_ST_EMFusionGenObjList_t */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_EM_pEM_ST_EMFusionGenObjList_t_ST_EMFusionGenObjList_t;

/*! Spinlock configuration data: Rte_Spinlock_EM_pEM_ST_Envm_t_CRObjectList_ST_Envm_t_CRObjectList */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_EM_pEM_ST_Envm_t_CRObjectList_ST_Envm_t_CRObjectList;

/*! Spinlock configuration data: Rte_Spinlock_EM_pEM_ST_Envm_t_GenObjectList_ST_Envm_t_GenObjectList */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_EM_pEM_ST_Envm_t_GenObjectList_ST_Envm_t_GenObjectList;

/*! Spinlock configuration data: Rte_Spinlock_LCFSEN_pLCFSEN_ST_reqLCFSEN_SOA_HMI_t_ST_reqLCFSEN_SOA_HMI_t */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_LCFSEN_pLCFSEN_ST_reqLCFSEN_SOA_HMI_t_ST_reqLCFSEN_SOA_HMI_t;

/*! Spinlock configuration data: Rte_Spinlock_SDC_Axera_Signal_Lane_Axera_Lane */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_SDC_Axera_Signal_Lane_Axera_Lane;

/*! Spinlock configuration data: Rte_Spinlock_SDC_Axera_Signal_Obstacle_Axera_Obstacle */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_SDC_Axera_Signal_Obstacle_Axera_Obstacle;

/*! Spinlock configuration data: Rte_Spinlock_UDC_ME_Signal_Lane_ME_Lane */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_UDC_ME_Signal_Lane_ME_Lane;

/*! Spinlock configuration data: Rte_Spinlock_UDC_ME_Signal_Obstacle_ME_Obstacle */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_UDC_ME_Signal_Obstacle_ME_Obstacle;

/*! Spinlock configuration data: Rte_Spinlock_VED_pVED_ST_EMVEDVehPar_t_ST_EMVEDVehPar_t */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_VED_pVED_ST_EMVEDVehPar_t_ST_EMVEDVehPar_t;

/*! Spinlock configuration data: Rte_Spinlock_VED_pVED_ST_VEDVehDyn_t_ST_VEDVehDyn_t */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_VED_pVED_ST_VEDVehDyn_t_ST_VEDVehDyn_t;

/*! Spinlock configuration data: Rte_Spinlock_VED_pVED_ST_VEDVehSig_t_ST_VEDVehSig_t */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_VED_pVED_ST_VEDVehSig_t_ST_VEDVehSig_t;

/*! Spinlock configuration data: Rte_Spinlock_VLCSEN_pVLCSEN_ST_VLCSen_AccOOI_List_t_ST_VLCSen_AccOOI_List_t */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_VLCSEN_pVLCSEN_ST_VLCSen_AccOOI_List_t_ST_VLCSen_AccOOI_List_t;

/*! Spinlock configuration data: Rte_Spinlock_VLCSEN_pVLCSEN_ST_VLCSen_AssessedObjList_t_ST_VLCSen_AssessedObjList_t */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_VLCSEN_pVLCSEN_ST_VLCSen_AssessedObjList_t_ST_VLCSen_AssessedObjList_t;

/*! Spinlock configuration data: Rte_Spinlock_VLVEH_pVLCVEH_ST_reqVLCVEH_SOA_HMI_t_ST_reqVLCVEH_SOA_HMI_t */
extern CONST(Os_SpinlockConfigType, OS_CONST) OsCfg_Spinlock_Rte_Spinlock_VLVEH_pVLCVEH_ST_reqVLCVEH_SOA_HMI_t_ST_reqVLCVEH_SOA_HMI_t;

/*! Object reference table for spinlocks. */
extern CONSTP2CONST(Os_SpinlockConfigType, OS_CONST, OS_CONST) OsCfg_SpinlockRefs[OS_SPINLOCKID_COUNT + 1];  /* PRQA S 4521 */ /* MD_Os_Rule10.1_4521 */

# define OS_STOP_SEC_CONST_UNSPECIFIED
# include "Os_MemMap_OsSections.h" /* PRQA S 5087 */ /* MD_MSR_MemMap */


/**********************************************************************************************************************
 *  GLOBAL FUNCTION PROTOTYPES
 *********************************************************************************************************************/


#endif /* OS_SPINLOCK_LCFG_H */

/**********************************************************************************************************************
 *  END OF FILE: Os_Spinlock_Lcfg.h
 *********************************************************************************************************************/
